package com.hzya.frame.sys.thirdparty.api.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sys.thirdparty.api.certification.entity.SysThirdpartyapiCertification;
import com.hzya.frame.sys.thirdparty.api.parameter.entity.SysThirdpartyapiParameter;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description: 第三方应用接口表
 * @tableName:   sys_thirdparty_api
 * @entityName:  SysThirdpartyapi
 * @author: 	 llg
 * @history:	 1.0
 */
public class  SysThirdpartyapi   extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 应用分类id */
	private String thirdpartyProductId;
	/** 接口名称 */
	private String name;
	/** 接口简述 */
	private String sketch;
	/** 所属产品 */
	private String productId;
	/** 所属版本 */
	private String productVersionId;
	/** 接口分类 */
	private String apiType;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date releaseDate;
	/** 发布类型 */
	private String releaseType;
	/** 版权所有 */
	private String copyright;
	/** 授权控制 */
	private String authorizationControl;
	/** 授权码 */
	private String authorizationCode;
	/** 标题 */
	private String title;
	/** 接口描述 */
	private String description;
	/** 系统约束 */
	private String systemConstraint;
	/** 业务约束 */
	private String businessConstraint;
	/** 调用说明 */
	private String callSpecification;
	/** 接口访问协议 */
	private String apiAgreement;
	/** 接口应用类型 */
	private String apiApplicationType;
	/** 接口服务地址 */
	private String apiServiceAddress;
	/** content-type */
	private String contentType;
	/** 编码 */
	private String apiCode;
	/** 请求方法 */
	private String requestMethod;
	/** accept */
	private String accept;
	/** 访问认证 */
	private String accessAuthentication;
	/** 访问认证接口id */
	private String accessAuthenticationApi;
	/** 排序号 */
	private Long sorts;
	/** 创建人id */
	private String orgId;
	/** 状态(Y正常N删除) */
	private String sts;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 修改人id */
	private String modifyUserId;
	private String sort;
	private String order;
	//页数 利用pageHelper
	private Integer pageNum;
	//数量 利用pageHelper
	private Integer pageSize;
	private List<String> ids;
	private List<SysThirdpartyapiParameter> sysThirdpartyapiParameterList;
	private List<SysThirdpartyapiCertification> sysThirdpartyapiCertificationList;
	/** 唯一标识码 */
	public void setId(String id) {
		this.id = id;
	}
	/** 唯一标识码 */
	public String getId() {
		return id;
	}
	/** 应用分类id */
	public void setThirdpartyProductId(String thirdpartyProductId) {
		this.thirdpartyProductId = thirdpartyProductId;
	}
	/** 应用分类id */
	public String getThirdpartyProductId() {
		return thirdpartyProductId;
	}
	/** 接口名称 */
	public void setName(String name) {
		this.name = name;
	}
	/** 接口名称 */
	public String getName() {
		return name;
	}
	/** 接口简述 */
	public void setSketch(String sketch) {
		this.sketch = sketch;
	}
	/** 接口简述 */
	public String getSketch() {
		return sketch;
	}
	/** 所属产品 */
	public void setProductId(String productId) {
		this.productId = productId;
	}
	/** 所属产品 */
	public String getProductId() {
		return productId;
	}
	/** 所属版本 */
	public void setProductVersionId(String productVersionId) {
		this.productVersionId = productVersionId;
	}
	/** 所属版本 */
	public String getProductVersionId() {
		return productVersionId;
	}
	/** 接口分类 */
	public void setApiType(String apiType) {
		this.apiType = apiType;
	}
	/** 接口分类 */
	public String getApiType() {
		return apiType;
	}
	/** 发布日期 */
	public void setReleaseDate(Date releaseDate) {
		this.releaseDate = releaseDate;
	}
	/** 发布日期 */
	public Date getReleaseDate() {
		return releaseDate;
	}
	/** 发布类型 */
	public void setReleaseType(String releaseType) {
		this.releaseType = releaseType;
	}
	/** 发布类型 */
	public String getReleaseType() {
		return releaseType;
	}
	/** 版权所有 */
	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}
	/** 版权所有 */
	public String getCopyright() {
		return copyright;
	}
	/** 授权控制 */
	public void setAuthorizationControl(String authorizationControl) {
		this.authorizationControl = authorizationControl;
	}
	/** 授权控制 */
	public String getAuthorizationControl() {
		return authorizationControl;
	}
	/** 授权码 */
	public void setAuthorizationCode(String authorizationCode) {
		this.authorizationCode = authorizationCode;
	}
	/** 授权码 */
	public String getAuthorizationCode() {
		return authorizationCode;
	}
	/** 标题 */
	public void setTitle(String title) {
		this.title = title;
	}
	/** 标题 */
	public String getTitle() {
		return title;
	}
	/** 接口描述 */
	public void setDescription(String description) {
		this.description = description;
	}
	/** 接口描述 */
	public String getDescription() {
		return description;
	}
	/** 系统约束 */
	public void setSystemConstraint(String systemConstraint) {
		this.systemConstraint = systemConstraint;
	}
	/** 系统约束 */
	public String getSystemConstraint() {
		return systemConstraint;
	}
	/** 业务约束 */
	public void setBusinessConstraint(String businessConstraint) {
		this.businessConstraint = businessConstraint;
	}
	/** 业务约束 */
	public String getBusinessConstraint() {
		return businessConstraint;
	}
	/** 调用说明 */
	public void setCallSpecification(String callSpecification) {
		this.callSpecification = callSpecification;
	}
	/** 调用说明 */
	public String getCallSpecification() {
		return callSpecification;
	}
	/** 接口访问协议 */
	public void setApiAgreement(String apiAgreement) {
		this.apiAgreement = apiAgreement;
	}
	/** 接口访问协议 */
	public String getApiAgreement() {
		return apiAgreement;
	}
	/** 接口应用类型 */
	public void setApiApplicationType(String apiApplicationType) {
		this.apiApplicationType = apiApplicationType;
	}
	/** 接口应用类型 */
	public String getApiApplicationType() {
		return apiApplicationType;
	}
	/** 接口服务地址 */
	public void setApiServiceAddress(String apiServiceAddress) {
		this.apiServiceAddress = apiServiceAddress;
	}
	/** 接口服务地址 */
	public String getApiServiceAddress() {
		return apiServiceAddress;
	}
	/** content-type */
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	/** content-type */
	public String getContentType() {
		return contentType;
	}
	/** 编码 */
	public void setApiCode(String apiCode) {
		this.apiCode = apiCode;
	}
	/** 编码 */
	public String getApiCode() {
		return apiCode;
	}
	/** 请求方法 */
	public void setRequestMethod(String requestMethod) {
		this.requestMethod = requestMethod;
	}
	/** 请求方法 */
	public String getRequestMethod() {
		return requestMethod;
	}
	/** accept */
	public void setAccept(String accept) {
		this.accept = accept;
	}
	/** accept */
	public String getAccept() {
		return accept;
	}
	/** 访问认证 */
	public void setAccessAuthentication(String accessAuthentication) {
		this.accessAuthentication = accessAuthentication;
	}
	/** 访问认证 */
	public String getAccessAuthentication() {
		return accessAuthentication;
	}
	/** 访问认证接口id */
	public void setAccessAuthenticationApi(String accessAuthenticationApi) {
		this.accessAuthenticationApi = accessAuthenticationApi;
	}
	/** 访问认证接口id */
	public String getAccessAuthenticationApi() {
		return accessAuthenticationApi;
	}
	/** 排序号 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序号 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 创建人id */
	public String getOrgId() {
		return orgId;
	}
	/** 状态(Y正常N删除) */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态(Y正常N删除) */
	public String getSts() {
		return sts;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	@Override
    public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public List<String> getIds() {
		return ids;
	}

	public void setIds(List<String> ids) {
		this.ids = ids;
	}

	public List<SysThirdpartyapiParameter> getSysThirdpartyapiParameterList() {
		return sysThirdpartyapiParameterList;
	}

	public void setSysThirdpartyapiParameterList(List<SysThirdpartyapiParameter> sysThirdpartyapiParameterList) {
		this.sysThirdpartyapiParameterList = sysThirdpartyapiParameterList;
	}

	public List<SysThirdpartyapiCertification> getSysThirdpartyapiCertificationList() {
		return sysThirdpartyapiCertificationList;
	}

	public void setSysThirdpartyapiCertificationList(List<SysThirdpartyapiCertification> sysThirdpartyapiCertificationList) {
		this.sysThirdpartyapiCertificationList = sysThirdpartyapiCertificationList;
	}




}
